/**
 * GMyth Library
 *
 * @file gmyth/gmyth_backend_info.c
 * 
 * @brief <p> This component represents all the MythTV backend server
 * 						configuration information.
 *
 * Copyright (C) 2006 INdT - Instituto Nokia de Tecnologia.
 * @author Renato Filho  <renato.filho@indt.org.br>
 *
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef __GMYTH_DBUS_SERVER_H__
#define __GMYTH_DBUS_SERVER_H__

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define GMYTH_DBUS_SERVER_TYPE            (gmyth_dbus_server_get_type ())
#define GMYTH_DBUS_SERVER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GMYTH_DBUS_SERVER_TYPE, GMythDbusServer))
#define GMYTH_DBUS_SERVER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GMYTH_DBUS_SERVER_TYPE, GMythDbusServerClass))
#define IS_GMYTH_DBUS_SERVER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GMYTH_DBUS_SERVER_TYPE))
#define IS_GMYTH_DBUS_SERVER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GMYTH_DBUS_SERVER_TYPE))
#define GMYTH_DBUS_SERVER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GMYTH_DBUS_SERVER_TYPE, GMythDbusServerClass))


typedef struct _GMythDbusServer      GMythDbusServer;
typedef struct _GMythDbusServerClass GMythDbusServerClass;

struct _GMythDbusServerClass
{
    GObjectClass parent_class;
};

struct _GMythDbusServer
{
    GObject parent;
};

GType gmyth_dbus_server_get_type (void);
GMythDbusServer * gmyth_dbus_server_start_dbus_service (void);


G_END_DECLS

#endif
